Last Comment Bug 713974 - function does not always return a value JS warnings in chrome://messenger/content/accountcreation/
: function does not always return a value JS warnings in chrome://messenger/con...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Thunderbird 12.0
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-28 15:40 PST by Florian Quèze [:florian] [:flo]
Modified: 2012-01-10 07:05 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (2.10 KB, patch)
2011-12-28 15:40 PST, Florian Quèze [:florian] [:flo]
bwinton: review+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2011-12-28 15:40:35 PST
Created attachment 584661 [details] [diff] [review]
Patch

I see these 2 JS strict warnings in my error console each time I start Thunderbird

Warning: anonymous function does not always return a value
Source File: chrome://messenger/content/accountcreation/emailWizard.js
Line: 695, Column: 4
Source Code:
    return this._foundConfig2(config); 

Warning: function verifyConfig does not always return a value
Source File: chrome://messenger/content/accountcreation/verifyConfig.js
Line: 66

I don't like noise in my error console, so I'm attaching a trivial patch to fix these 2 warnings.
Comment 1 Blake Winton (:bwinton) (:☕️) 2011-12-30 11:19:39 PST
Comment on attachment 584661 [details] [diff] [review]
Patch

Review of attachment 584661 [details] [diff] [review]:
-----------------------------------------------------------------

This looks good to me.  r=me if the tests still pass.  ;)
Comment 2 Mike Conley (:mconley) - (Needinfo me!) 2012-01-10 07:05:43 PST
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/619bee8cb53c

Note You need to log in before you can comment on or make changes to this bug.